Bug 902714 - mangled releases output
Summary: mangled releases output
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pkgwat
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ralph Bean
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-22 10:22 UTC by Kamil Páral
Modified: 2013-02-21 05:39 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-02-19 21:26:29 UTC


Attachments (Terms of Use)

Description Kamil Páral 2013-01-22 10:22:10 UTC
Description of problem:
$ pkgwat releases gajim
Starting new HTTPS connection (1): apps.fedoraproject.org
+---------------+----------------+----------------------+
| release       | stable_version | testing_version      |
+---------------+----------------+----------------------+
| Rawhide       | 0.15.2-1.fc18  | Not Applicable       |
| Fedora 18     | 0.15.2-1.fc18  | 0.15.2-1.fc181 karma |
| Fedora 17     | 0.15.2-1.fc17  | None                 |
| Fedora 16     | 0.15-2.fc16    | None                 |
| Fedora EPEL 6 | 0.14.4-3.el6   | None                 |
| Fedora EPEL 5 | 0.12.5-1.el5.2 | None                 |
+---------------+----------------+----------------------+

The karma is somehow weirdly connected to the release. I guess there should have been a comma and "+1 karma" or something like that. What about like this?

| Fedora 18     | 0.15.2-1.fc18  | 0.15.2-1.fc18, karma +1 |

By the way, the 0.15.2-1.fc18 is in stable, so I'm not sure why it shows in testing as well.

Version-Release number of selected component (if applicable):
pkgwat-0.4-2.fc18.noarch

Comment 1 Ralph Bean 2013-01-22 14:40:02 UTC
This should be fixed upstream in https://github.com/fedora-infra/pkgwat.api/commit/8fe5aed3e64017c625a3084262360b8d05eb8658

Not sure about the testing/stable dupe.  That's an issue with apps.fedoraproject.org/packages/

We'll need to file another bug with that at http://fedorahosted.org/fedoracommunity/

Comment 2 Fedora Update System 2013-01-22 18:50:34 UTC
python-pkgwat-api-0.5-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-pkgwat-api-0.5-1.fc18

Comment 3 Fedora Update System 2013-01-22 18:50:58 UTC
python-pkgwat-api-0.5-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-pkgwat-api-0.5-1.fc17

Comment 4 Fedora Update System 2013-01-22 18:51:28 UTC
python-pkgwat-api-0.5-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-pkgwat-api-0.5-1.el6

Comment 5 Fedora Update System 2013-02-20 17:33:58 UTC
python-pkgwat-api-0.5-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2013-02-21 05:38:29 UTC
python-pkgwat-api-0.5-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2013-02-21 05:39:00 UTC
python-pkgwat-api-0.5-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.